Howdy Folks, Events Manager bug perhaps?

Just re-setting up a site, and noticed this dandy error... or shall I say "these"?

Let me know what you need from me. Granting access now to save time. <3

Warning: array_combine() [function.array-combine]: Both parameters should have at least 1 element in /var/sites/r/reviveawarrior.com/public_html/wp-content/plugins/events-and-bookings/lib/plugins/eab-import-facebook_events.php on line 191
Facebook Events import settings
App ID Help
App secret Help
Enter your API info and save settings first.

Warning: array_combine() [function.array-combine]: Both parameters should have at least 1 element in /var/sites/r/reviveawarrior.com/public_html/wp-content/plugins/events-and-bookings/lib/plugins/eab-import-google_calendar.php on line 186

  • Adam Czajczyk

    Hey David,

    I hope you're well today and thank you for your question!

    I've visited your dashboard and checked your site. It seems that you have a WP debugging option turned on. Check your wp-config.php file for this line:

    define( 'WP_DEBUG', true );

    and change "true" to "false".

    Of course the developer could mute these warnings at the plugin's code level but it would make diagnosing potential issues much harder. Both those warnings actually should also disappear after your provide plugin with

    - "App ID" and "App Secret" in "Facebook Events Import" settings
    - "Client ID" and "Client Secret" in "Google Calendar Import" settings.

    Another simple way to fix this - if you're not planning to import events from Facebook and Google Calendar - would be to disable "Facebook Events Import" and "Google Calendar Import" add-ons on

    "Events" -> "Settings" -> "Add-ons" page.

    I hope that helps.

    Cheers,
    Adam

Thank NAME, for their help.

Let NAME know exactly why they deserved these points.

Gift a custom amount of points.